%define	name	clisp
%define	version	2.38
%define	release	%mkrel 2

Summary:	Common Lisp (ANSI CL) implementation
Name:		clisp
Version:	%{version}
Release:	%{release}
Icon:		clisp.gif
License:	GPL
Epoch:		1
Group:		Development/Other
Source0:	ftp://seagull.cdrom.com/pub/lisp/clisp/source/%{name}-%{version}.tar.bz2
#Patch0:	%{name}-2.33.2-debian-patches.patch.bz2
URL:		http://sourceforge.net/projects/clisp/
Provides:	ansi-cl
BuildRequires:	readline-devel ncurses-devel ffi-devel libsigsegv-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Common Lisp is a high-level, all-purpose programming language.

CLISP is a Common Lisp implementation by Bruno Haible of Karlsruhe 
University and Michael Stoll of Munich University, both in Germany.

It mostly supports Common Lisp as described in the ANSI CL standard. 
It runs on microcomputers (DOS, OS/2, Windows NT, Windows 95, Amiga 
500-4000, Acorn RISC PC) as well as on Unix workstations (Linux, 
SVR4, Sun4, DEC Alpha OSF, HP-UX, NeXTstep, SGI, AIX, Sun3 and others) 
and needs only 2 MB of RAM.

It is free software and may be distributed under the terms of GNU GPL, 
while it is possible to distribute commercial applications compiled 
with CLISP.

The user interface comes in German, English, French and Spanish. 
CLISP includes an interpreter, a compiler, a large subset of CLOS, 
a foreign language interface and a socket interface.

An X11 interface is available through CLX and Garnet.

%prep
%setup -q
#%patch0 -p1

%build
COPTS="--prefix=%{_prefix} --libdir=%{_libdir} --fsstnd=redhat --with-dynamic-modules --with-readline --with-dynamic-ffi"
XCFLAGS="$RPM_OPT_FLAGS -fexpensive-optimizations" \
./configure $COPTS
cd src 
./makemake $COPTS > Makefile
make config.lisp
make
cd -

%check
cd src
make check
cd -

%install
rm -rf $RPM_BUILD_ROOT
cd src
%{makeinstall_std}
cd -

%{find_lang} %{name}

#(peroyvind) weird problems, ugly perl hack for now
perl -pi -e "s#clisp.mo#clisp\*.mo#g" %{name}.lang

%clean
rm -fr $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/clisp
%dir %{_libdir}/clisp
%{_libdir}/clisp/*
%doc ANNOUNCE SUMMARY src/clisp.html src/README doc/*
%{_mandir}/*/*

%changelog
* Mon Sep 18 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1:2.38-2mdv2007.0
- Rebuild

* Sat May 20 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 2.38-1mdk
- 2.38
- sort out some build issues with flags etc
- build with dynamic modules support
- build against libsigsegv
- lib64 fix
- fix buildrequires
- %%mkrel
- move check to new %%check stage

* Sat Dec 31 2005 Mandriva Linux Team <http://www.mandrivaexpert.com/> 2.33.2-3mdk
- Rebuild

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-2mdk
- rebuild for new readline

* Sat Jun 05 2004 Per ?yvind Karlsen <peroyvind@linux-mandrake.com> 2.33.2-1mdk
- 2.33.2
- drop P0

* Sat Apr 17 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-2mdk
- fix buildrequires

* Fri Apr 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.33-1mdk
- 2.33
- clean docs
- update P0 from debian
- minor fixes
- disable parallell build

* Mon Jun 23 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-2mdk
- fix prefix etc. (from Mark Draheim <rickscafe.casablanca@gmx.net>)
- fix %%files list

* Tue Jun 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.30-1mdk
- 2.30
- cleanups
- P0 from debian, dropped alpha patch
- alot of spec file fixes

* Tue Jul 17 2001 Daouda LO <daouda@mandrakesoft.com> 2.27-1mdk
- release 2.27
  o The default extension of Lisp source files for CLISP is now ".lisp"
    instead of ".lsp". When both "foo.lisp" and "foo.lsp" exist, 
    (LOAD "foo") will load "foo.lisp".

  o Changed bytecode format. All .fas files generated by previous CLISP
     versions  are invalid and must be recompiled.
  o More Ansi CL compliances  
  o See more of the changelog: http://sourceforge.net/forum/forum.php?forum_id=72006 

- update URL.  
- new versioning scheme.
- merge ppc build.
- s|config.lsp|config.lisp| in ppc build.

* Wed Apr 25 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000.03.06-4mdk
- Make it build on the Alpha platform.
- Quiet output when uncompressing the source because it is really too annoying
  to watch.

* Sun Nov 05 2000 David BAUDENS <baudens@mandrakesoft.com> 2000.03.06-3mdk
- Rewrite spec following Clisp Install documentation to be able to build this
  package on all archs
- Have an intelligent description

* Sun Jul 23 2000 Pixel <pixel@mandrakesoft.com> 2000.03.06-2mdk
- *much* cleanup, macorizaiton, BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 2000.03.06-1mdk
- Update to 2000.03.06

* Tue Feb 22 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- rewrote most of .spec file
- updated to 1999.07.22
